﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Charting;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;

namespace ChartView_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            SwapAxes();
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            SwapAxes();
        }

        private void SwapAxes()
        {
            var hAxis = this.chart.HorizontalAxis;
            var vAxis = this.chart.VerticalAxis;
            this.chart.HorizontalAxis = null;
            this.chart.VerticalAxis = null;
            this.chart.HorizontalAxis = vAxis;
            this.chart.VerticalAxis = hAxis;
        }
    }  
}
